#2758 closed enhancement (wontfix)

SDCard driver for QoriQ

Reported by: snob-wolpike Owned by:
Priority: normal Milestone: 4.11.2
Component: bsps Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

SDCard driver for QoriQ CPU family. Tested on P2020, Kontron COMe-cP2020 board.

Usage example:

bsp_register_esdhc_memcard();
rc = rtems_bdpart_register_from_disk("/dev/memcard");

Attachments (1)

esdhc.c (34.0 KB) - added by snob-wolpike on Jul 12, 2016 at 2:56:59 PM.
SDCard driver for QoriQ

Download all attachments as: .zip

Change History (5)

Changed on Jul 12, 2016 at 2:56:59 PM by snob-wolpike

Attachment: esdhc.c added

SDCard driver for QoriQ

comment:1 Changed on Jul 12, 2016 at 2:58:06 PM by snob-wolpike

Version: 4.104.11

Should work on both 4.11 and 4.12.

comment:2 Changed on Jul 19, 2016 at 5:28:11 AM by Sebastian Huber

Please send patches to the devel@… mailing list.

comment:3 Changed on Jan 26, 2017 at 7:16:00 AM by Sebastian Huber

Milestone: 4.11.14.11.2

comment:4 Changed on Feb 15, 2017 at 1:42:37 PM by Sebastian Huber

Resolution: wontfix
Status: newclosed

The FreeBSD driver available via libbsd should be used for the QorIQ BSPs.

Note: See TracTickets for help on using tickets.